using System;
using System.IO;

internal sealed class Delegate716 : MulticastDelegate
{
	public extern Stream Invoke(object object_0);

	public static Stream smethod_0(object object_0, Delegate716 delegate716_1)
	{
		return delegate716_1(object_0);
	}

	public extern Delegate716(object object_0, IntPtr intptr_0);

	static Delegate716()
	{
		Class10.smethod_13(typeof(Delegate716).TypeHandle);
	}

	internal static Delegate716 delegate716_0;
}
